<?php

namespace App\ViewModels\Paciente\PacienteRegistrationViewModel;
use App\Utils\Entity;

class PacienteRegistrationViewModel extends Entity
{
    protected $foto;
    protected $nome;
    protected $observacao;
    protected $email;
    protected $rg;
    protected $data_nascimento;
    protected $cpf;
    protected $genero;
    protected $telefone_1;
    protected $telefone_2;
    protected $telefone_3;
    protected $numero;
    protected $complemento;
    protected $referencias;
    protected $profissao;
    protected $estado_civil;
    protected $indicado_por;
    protected $adicionado_por;
    protected $senha;
    protected $token_confirmacao_email;
    protected $ativo;
    protected $convenio;
    protected $peso;
    protected $altura;

    protected $cep;
    protected $logradouro;
    protected $estado;
    protected $bairro;
    protected $cidade;

    public static function builder() : PacienteRegistrationViewModelBuilder
    {
        $paciente_registration_view_model_builder = new PacienteRegistrationViewModelBuilder();
        return $paciente_registration_view_model_builder;
    }

    /**
     * @return mixed
     */
    public function getFoto()
    {
        return $this->foto;
    }

    /**
     * @return mixed
     */
    public function getNome()
    {
        return $this->nome;
    }

    /**
     * @return mixed
     */
    public function getObservacao()
    {
        return $this->observacao;
    }

    /**
     * @return mixed
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @return mixed
     */
    public function getRg()
    {
        return $this->rg;
    }

    /**
     * @return mixed
     */
    public function getDataNascimento()
    {
        return $this->data_nascimento;
    }

    /**
     * @return mixed
     */
    public function getCpf()
    {
        return $this->cpf;
    }

    /**
     * @return mixed
     */
    public function getGenero()
    {
        return $this->genero;
    }

    /**
     * @return mixed
     */
    public function getTelefone1()
    {
        return $this->telefone_1;
    }

    /**
     * @return mixed
     */
    public function getTelefone2()
    {
        return $this->telefone_2;
    }

    /**
     * @return mixed
     */
    public function getTelefone3()
    {
        return $this->telefone_3;
    }

    /**
     * @return mixed
     */
    public function getNumero()
    {
        return $this->numero;
    }

    /**
     * @return mixed
     */
    public function getComplemento()
    {
        return $this->complemento;
    }

    /**
     * @return mixed
     */
    public function getReferencias()
    {
        return $this->referencias;
    }

    /**
     * @return mixed
     */
    public function getProfissao()
    {
        return $this->profissao;
    }

    /**
     * @return mixed
     */
    public function getEstadoCivil()
    {
        return $this->estado_civil;
    }

    /**
     * @return mixed
     */
    public function getIndicadoPor()
    {
        return $this->indicado_por;
    }

    /**
     * @return mixed
     */
    public function getAdicionadoPor()
    {
        return $this->adicionado_por;
    }

    /**
     * @return mixed
     */
    public function getSenha()
    {
        return $this->senha;
    }

    /**
     * @return mixed
     */
    public function getTokenConfirmacaoEmail()
    {
        return $this->token_confirmacao_email;
    }

    /**
     * @return mixed
     */
    public function getAtivo()
    {
        return $this->ativo;
    }

    /**
     * @return mixed
     */
    public function getConvenio()
    {
        return $this->convenio;
    }

    /**
     * @return mixed
     */
    public function getPeso()
    {
        return $this->peso;
    }

    /**
     * @return mixed
     */
    public function getAltura()
    {
        return $this->altura;
    }

    /**
     * @return mixed
     */
    public function getCep()
    {
        return $this->cep;
    }

    /**
     * @return mixed
     */
    public function getLogradouro()
    {
        return $this->logradouro;
    }

    /**
     * @return mixed
     */
    public function getEstado()
    {
        return $this->estado;
    }

    /**
     * @return mixed
     */
    public function getBairro()
    {
        return $this->bairro;
    }

    /**
     * @return mixed
     */
    public function getCidade()
    {
        return $this->cidade;
    }

    /**
     * @param mixed $foto
     * @return PacienteRegistrationViewModel
     */
    public function setFoto($foto)
    {
        $this->foto = $foto;
        return $this;
    }

    /**
     * @param mixed $nome
     * @return PacienteRegistrationViewModel
     */
    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    /**
     * @param mixed $observacao
     * @return PacienteRegistrationViewModel
     */
    public function setObservacao($observacao)
    {
        $this->observacao = $observacao;
        return $this;
    }

    /**
     * @param mixed $email
     * @return PacienteRegistrationViewModel
     */
    public function setEmail($email)
    {
        $this->email = $email;
        return $this;
    }

    /**
     * @param mixed $rg
     * @return PacienteRegistrationViewModel
     */
    public function setRg($rg)
    {
        $this->rg = $rg;
        return $this;
    }

    /**
     * @param mixed $data_nascimento
     * @return PacienteRegistrationViewModel
     */
    public function setDataNascimento($data_nascimento)
    {
        $this->data_nascimento = $data_nascimento;
        return $this;
    }

    /**
     * @param mixed $cpf
     * @return PacienteRegistrationViewModel
     */
    public function setCpf($cpf)
    {
        $this->cpf = $cpf;
        return $this;
    }

    /**
     * @param mixed $genero
     * @return PacienteRegistrationViewModel
     */
    public function setGenero($genero)
    {
        $this->genero = $genero;
        return $this;
    }

    /**
     * @param mixed $telefone_1
     * @return PacienteRegistrationViewModel
     */
    public function setTelefone1($telefone_1)
    {
        $this->telefone_1 = $telefone_1;
        return $this;
    }

    /**
     * @param mixed $telefone_2
     * @return PacienteRegistrationViewModel
     */
    public function setTelefone2($telefone_2)
    {
        $this->telefone_2 = $telefone_2;
        return $this;
    }

    /**
     * @param mixed $telefone_3
     * @return PacienteRegistrationViewModel
     */
    public function setTelefone3($telefone_3)
    {
        $this->telefone_3 = $telefone_3;
        return $this;
    }

    /**
     * @param mixed $numero
     * @return PacienteRegistrationViewModel
     */
    public function setNumero($numero)
    {
        $this->numero = $numero;
        return $this;
    }

    /**
     * @param mixed $complemento
     * @return PacienteRegistrationViewModel
     */
    public function setComplemento($complemento)
    {
        $this->complemento = $complemento;
        return $this;
    }

    /**
     * @param mixed $referencias
     * @return PacienteRegistrationViewModel
     */
    public function setReferencias($referencias)
    {
        $this->referencias = $referencias;
        return $this;
    }

    /**
     * @param mixed $profissao
     * @return PacienteRegistrationViewModel
     */
    public function setProfissao($profissao)
    {
        $this->profissao = $profissao;
        return $this;
    }

    /**
     * @param mixed $estado_civil
     * @return PacienteRegistrationViewModel
     */
    public function setEstadoCivil($estado_civil)
    {
        $this->estado_civil = $estado_civil;
        return $this;
    }

    /**
     * @param mixed $indicado_por
     * @return PacienteRegistrationViewModel
     */
    public function setIndicadoPor($indicado_por)
    {
        $this->indicado_por = $indicado_por;
        return $this;
    }

    /**
     * @param mixed $adicionado_por
     * @return PacienteRegistrationViewModel
     */
    public function setAdicionadoPor($adicionado_por)
    {
        $this->adicionado_por = $adicionado_por;
        return $this;
    }

    /**
     * @param mixed $senha
     * @return PacienteRegistrationViewModel
     */
    public function setSenha($senha)
    {
        $this->senha = $senha;
        return $this;
    }

    /**
     * @param mixed $token_confirmacao_email
     * @return PacienteRegistrationViewModel
     */
    public function setTokenConfirmacaoEmail($token_confirmacao_email)
    {
        $this->token_confirmacao_email = $token_confirmacao_email;
        return $this;
    }

    /**
     * @param mixed $ativo
     * @return PacienteRegistrationViewModel
     */
    public function setAtivo($ativo)
    {
        $this->ativo = $ativo;
        return $this;
    }

    /**
     * @param mixed $convenio
     * @return PacienteRegistrationViewModel
     */
    public function setConvenio($convenio)
    {
        $this->convenio = $convenio;
        return $this;
    }

    /**
     * @param mixed $peso
     * @return PacienteRegistrationViewModel
     */
    public function setPeso($peso)
    {
        $this->peso = $peso;
        return $this;
    }

    /**
     * @param mixed $altura
     * @return PacienteRegistrationViewModel
     */
    public function setAltura($altura)
    {
        $this->altura = $altura;
        return $this;
    }

    /**
     * @param mixed $cep
     * @return PacienteRegistrationViewModel
     */
    public function setCep($cep)
    {
        $this->cep = $cep;
        return $this;
    }

    /**
     * @param mixed $logradouro
     * @return PacienteRegistrationViewModel
     */
    public function setLogradouro($logradouro)
    {
        $this->logradouro = $logradouro;
        return $this;
    }

    /**
     * @param mixed $estado
     * @return PacienteRegistrationViewModel
     */
    public function setEstado($estado)
    {
        $this->estado = $estado;
        return $this;
    }

    /**
     * @param mixed $bairro
     * @return PacienteRegistrationViewModel
     */
    public function setBairro($bairro)
    {
        $this->bairro = $bairro;
        return $this;
    }

    /**
     * @param mixed $cidade
     * @return PacienteRegistrationViewModel
     */
    public function setCidade($cidade)
    {
        $this->cidade = $cidade;
        return $this;
    }






}
